
// offset = 0.;
// offset = -40 + 360*$t;
// offset = 0;

disk();

module disk(offset = 0) {
  difference() {
    translate([0,0,25.5]) {
      // translate([0,0,5]) 
      cylinder(r=45.,h=40.,$fn=300); 
      //cylinder(r=45.,h=10.,$fn=300);
      intersection() {
	    cylinder(r=57.,h=1.5,$fn=300);
	    sector(57.,40, offset+65, offset+115);
      }
      intersection() {    
	    cylinder(r=57.,h=1.5,$fn=300);
	    sector(57.,40, offset+245, offset+295);
      }
    }
    translate([0,0,40]) {
      cylinder(r=59.2/2., h=200.0, $fn=300);  // trou central haut
    }
    translate([0,0,0]) {
      cylinder(r=17.5, h=200.0, $fn=300);  // trou central haut
    }
  }
}

module sector(r, h, a1, a2) {
  if (a2 - a1 > 180) {
    difference() {
      cylinder(r=r, h=h, $fn=360);
      translate([0,0,-0.5]) sector(h+1, 2*r+1, a2-360, a1); 
    }
  } else {
    difference() {
      cylinder(r=r, h=h, $fn=360);
      rotate([0,0,a1]) translate([-r, -r, -0.5])
	cube([2*r, r, h+1]);
      rotate([0,0,a2]) translate([-r, 0, -0.5])
	cube([2*r, r, h+1]);
    }
  }
}       



