
motor();

module motor() {
  translate([0, 0, -80.0]) {
    cylinder(r=35.2/2., h=125.0, $fn=300); // Petit Axe
  }
  translate([0, 0, 40.0]) {
    cylinder(r=59.0/2., h=50.0, $fn=300); // Gros Axe
  }
  
  // Disque central du reducteur
  
  translate([0,0,-100+12.]) {
    color("blue", 1.0) {
      cylinder(r=105/2., 
	       h = 100., $fn=300);
    }
  }
  
  // Plaque de fixation (simplifiée)
  
  difference() {
    color("steelblue", 1) {
      translate([-80,-80,-20]) cube([160, 160, 20]);}
    translate([0,0,-40]) { cylinder(r=106.33/2., 
				    h = 60., $fn=300); }
  }   
  
  // Boulons
  w = 116.63;
  color("steelblue",1) {
    translate([-w/2,-w/2,9]) 
      cylinder(r=19.0/2., h=18.0, 
	       center=true, $fn=300);
    translate([w/2,-w/2,9]) 
      cylinder(r=19.0/2., h=18.0, 
	       center=true, $fn=300);
    translate([-w/2,w/2,9]) 
      cylinder(r=19.0/2., h=18.0, 
	       center=true, $fn=300);
    translate([w/2,w/2,9]) 
      cylinder(r=19.0/2., h=18.0, 
	       center=true, $fn=300);
  }
  
}
